diagnostics (0.3.3-12.2build2) kinetic; urgency=medium

  * No-change rebuild against libace-7.0.7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jun 2022 00:24:13 +0000

diagnostics (0.3.3-12.2build1) jammy; urgency=medium

  * No-change rebuild against libace-7.0.6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:18:52 +0000

diagnostics (0.3.3-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to dynamic exception with gcc-11. (Closes: #984031)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 07 Feb 2022 18:37:08 +0000

diagnostics (0.3.3-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to using a convenience copy of ltdl.  Closes: #980642
    Thanks to Dennis Filder <d.filder@web.de> for the patch.
  * Drop explicit Build-Depends on automake1.11, the default automake version
    is good for this package.  Closes: #865142

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 16 Feb 2021 11:43:01 +0100

diagnostics (0.3.3-12) unstable; urgency=low

  * Bump Standards Version to 3.9.8 (no changes)
  * Disable stacktrace test (closes: #812262)
  * Ensure GCC 6 compatibility

 -- Michael Tautschnig <mt@debian.org>  Sun, 04 Dec 2016 08:54:25 +0000

diagnostics (0.3.3-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS.  Closes: #820865
    Thanks to Reiner Herrmann <reiner@reiner-h.de> for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Jul 2016 13:38:00 +0000

diagnostics (0.3.3-11) unstable; urgency=low

  * Bump Standards Version to 3.9.6 (no changes)
  * Update stacktrace behaviour (closes: #792196)

 -- Michael Tautschnig <mt@debian.org>  Tue, 25 Aug 2015 23:02:51 +0100

diagnostics (0.3.3-10) unstable; urgency=low

  * Bump Standards Version to 3.9.5 (no changes)
  * Add -Wno-unused-function to silence new warnings (function is
    intentionally unused) (closes: #746838, #751904)

 -- Michael Tautschnig <mt@debian.org>  Mon, 07 Jul 2014 12:36:24 +0100

diagnostics (0.3.3-9) unstable; urgency=low

  * Really disable stacktrace on hurd
  * Update symbols file to reflect this

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jul 2013 15:01:41 +0100

diagnostics (0.3.3-8) unstable; urgency=low

  * hurd doesn't have /proc/self/exe, hence disable stacktrace

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jul 2013 09:47:43 +0100

diagnostics (0.3.3-7) unstable; urgency=low

  * Cope with automake 1.12/1.13 parallel test harnesses

 -- Michael Tautschnig <mt@debian.org>  Tue, 09 Jul 2013 16:30:48 +0100

diagnostics (0.3.3-6) unstable; urgency=low

  * Make sure PATH_MAX is defined (which isn't the case on hurd)

 -- Michael Tautschnig <mt@debian.org>  Tue, 09 Jul 2013 03:00:03 +0100

diagnostics (0.3.3-5) unstable; urgency=low

  * Do not use ACE on hurd, it seems to be incomplete
  * Remove libltdl directory on clean

 -- Michael Tautschnig <mt@debian.org>  Mon, 08 Jul 2013 21:04:58 +0100

diagnostics (0.3.3-4) unstable; urgency=low

  * Move to minimal dh debian/rules
  * Compatibility level bumped to 9

 -- Michael Tautschnig <mt@debian.org>  Mon, 08 Jul 2013 08:22:36 +0100

diagnostics (0.3.3-3) unstable; urgency=low

  * Fix symbols file for armhf

 -- Michael Tautschnig <mt@debian.org>  Sun, 02 Dec 2012 17:44:20 +0000

diagnostics (0.3.3-2) unstable; urgency=low

  * Acknowledge NMU (closes: #667150, #652201, #638470, #621225)
  * Update watch file (thanks Bart Martens)
  * Disable stacktrace for arm-linux-gnueabihf (closes: #687559)
  * Bump Standards Version to 3.9.4 (no changes)
  * Properly pass buildflags
  * Updated upstream URL (and removed VCS)

 -- Michael Tautschnig <mt@debian.org>  Sun, 02 Dec 2012 13:10:32 +0000

diagnostics (0.3.3-1.3) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667150.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2012 23:22:08 +0200

diagnostics (0.3.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with multiarch libltdl-dev. (Closes: #652201)
  * debian/control: Fix Vcs-Browser URL. (Closes: #638470)

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 28 Dec 2011 18:59:42 +0100

diagnostics (0.3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (closes: #621225)

 -- Luk Claes <luk@debian.org>  Sun, 29 May 2011 19:26:27 +0200

diagnostics (0.3.3-1) unstable; urgency=low

  * New upstream version (closes: #625163)
  * Merged all bugfixes
  * Bumped Standards-Version (no changes)

 -- Michael Tautschnig <mt@debian.org>  Thu, 26 May 2011 16:08:46 +0100

diagnostics (0.3.2-4) unstable; urgency=low

  * More work on symbol files.
  * Workaround for failing test on kfreebsd.

 -- Michael Tautschnig <mt@debian.org>  Wed, 16 Mar 2011 20:27:05 +0100

diagnostics (0.3.2-3) unstable; urgency=low

  * Cleanup symbol files, making all internal stuff optional.

 -- Michael Tautschnig <mt@debian.org>  Wed, 16 Mar 2011 18:59:38 +0100

diagnostics (0.3.2-2) unstable; urgency=low

  * Fix non-portable use of realpath (closes: #618461)

 -- Michael Tautschnig <mt@debian.org>  Wed, 16 Mar 2011 15:11:13 +0100

diagnostics (0.3.2-1) unstable; urgency=low

  * New upstream version
  * Build-dep on libace-dev >= 5.7.7-3 as #591610 has been fixed
  * Updated symbol files to work with g++ 4.5 (closes: #615659)

 -- Michael Tautschnig <mt@debian.org>  Mon, 28 Feb 2011 10:21:38 +0100

diagnostics (0.3.1-3) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1 (removed shlibs.local)
  * Mark stacktrace related symbols arch=!armel without hack (requires
    dpkg-dev >= 1.15.8), removed duplicates in symbol files
  * Force HAVE_ACE to 1 in configure.ac because of #591610
    (closes: #593044)

 -- Michael Tautschnig <mt@debian.org>  Mon, 16 Aug 2010 11:17:13 +0200

diagnostics (0.3.1-2) unstable; urgency=low

  * Mark stacktrace related symbols arch=!armel

 -- Michael Tautschnig <mt@debian.org>  Sat, 29 May 2010 09:33:52 +0200

diagnostics (0.3.1-1) unstable; urgency=low

  * New upstream version
    - Fixes FTBFS on armel

 -- Michael Tautschnig <mt@debian.org>  Thu, 27 May 2010 16:38:27 +0200

diagnostics (0.3-3) unstable; urgency=low

  * Fix symbol files for 32bit architectures, once again

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Apr 2010 13:14:29 +0200

diagnostics (0.3-2) unstable; urgency=low

  * Fix symbol files for 32bit architectures
  * Force CXXFLAGS for compiling stacktrace to -O1 -g

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Apr 2010 11:03:54 +0200

diagnostics (0.3-1) unstable; urgency=low

  * New upstream version
  * Bumped Standards-Version (no changes)
  * Use c++ tagging for symbol files (closes: #574300, #570692)

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Apr 2010 00:13:40 +0200

diagnostics (0.2.8-1) unstable; urgency=low

  * New upstream version
  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards-Version (no changes)
  * Updated symbols files (thanks Andreas Moog <amoog@ubuntu.com>)
    (closes: #562397)
  * Added ${misc:Depends} to all binary packages

 -- Michael Tautschnig <mt@debian.org>  Sat, 16 Jan 2010 23:27:48 +0100

diagnostics (0.2.7-2) unstable; urgency=low

  * Updated symbols file for alpha (grrrr)

 -- Michael Tautschnig <mt@debian.org>  Tue, 21 Apr 2009 10:02:11 +0200

diagnostics (0.2.7-1) unstable; urgency=low

  * New upstream release (updated copyright information)
  * Bumped Standards-Version (no changes)
  * Fixed watch file
  * Improved descriptions

 -- Michael Tautschnig <mt@debian.org>  Sat, 18 Apr 2009 18:49:46 +0200

diagnostics (0.2.6-1) unstable; urgency=low

  * New upstream release (user exceptions, WIN32 compatibility)

 -- Michael Tautschnig <mt@debian.org>  Sun, 22 Feb 2009 17:52:19 +0100

diagnostics (0.2.5-1) unstable; urgency=low

  * New upstream release (merged symbol files)
  * Proper cleanup of config.guess
  * Added Homepage: field
  * Added watch file

 -- Michael Tautschnig <mt@debian.org>  Mon, 06 Oct 2008 21:24:36 +0200

diagnostics (0.2.4-2) unstable; urgency=low

  * Updated symbols control files to fix FTBFS on alpha

 -- Michael Tautschnig <mt@debian.org>  Wed, 23 Jul 2008 09:48:47 +0200

diagnostics (0.2.4-1) unstable; urgency=low

  * New upstream release: Debian patches mostly merged upstream
  * Proper cleanup code instead of debian/rules hacks

 -- Michael Tautschnig <mt@debian.org>  Sun, 20 Jul 2008 18:08:15 +0200

diagnostics (0.2.3-2) unstable; urgency=low

  * Added arch-specific symbol files

 -- Michael Tautschnig <mt@debian.org>  Sun, 20 Jul 2008 09:40:34 +0200

diagnostics (0.2.3-1) unstable; urgency=low

  * Do make check only if nocheck is not set
  * Cleanup config.guess,config.sub as suggested in autotools-dev bug 482716
  * Removed postinst, postrm templates (thanks, lintian)
  * Added symbols control file
  * Bumped standards version to 3.8.0 (no changes)
  * Acknowledge NMU (closes: #489386)
  * Not maintained as Debian-native anymore

 -- Michael Tautschnig <mt@debian.org>  Fri, 18 Jul 2008 22:41:35 +0200

diagnostics (0.2.2+nmu1) unstable; urgency=low

  * Non-maintainer upload, as requested by Michael.
  * Work-around a g++ 4.3 bug on s390 causing the package to FTBFS on this
    arch (closes: #489386)

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 05 Jul 2008 13:51:35 +0200

diagnostics (0.2.2) unstable; urgency=low

  * stream_test_system.cpp: #include cstring to fix FTBFS with gcc 4.3
    (closes: #461952)

 -- Michael Tautschnig <mt@debian.org>  Wed, 23 Jan 2008 23:04:30 +0100

diagnostics (0.2.1) unstable; urgency=low

  * Shortened changelog line 4 in 0.2 (thanks, lintian)
  * diff_generator.cpp: Check for possible overflows

 -- Michael Tautschnig <mt@debian.org>  Sun, 23 Dec 2007 17:23:59 +0100

diagnostics (0.2) unstable; urgency=low

  * libdiagnostics-dev Recommends: libace-dev
  * Updated maintainer address
  * Bumped standards version (no changes required)
  * load_symbol.cpp: #include cstdlib to fix FTBFS with gcc 4.3
    (closes: #455649)
  * Added Vcs-Brower link
  * Merged back changes/improvements to lib_annotations.hpp done in several
    projects that use diagnostics
  * stream_test_data_adaptor.cpp: Added info on what the letters mean to all
    situations (closes: #455559)
  * diff_generator.cpp, diff.t.cpp: Rewrote the LCSS code to fix the broken
    diffs (closes: #455560)
  * stream_test_system.cpp: Test for a sufficient number of arguments before
    calling strcmp, added -h and help message (closes: #455558)

 -- Michael Tautschnig <mt@debian.org>  Sun, 16 Dec 2007 21:04:41 +0100

diagnostics (0.1) unstable; urgency=low

  * Initial release (Closes: #413759)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Wed, 28 Feb 2007 23:57:01 +0100

